View Issue Details

IDProjectCategoryView StatusLast Update
0007954Tine 2.0ActiveSyncpublic2017-07-12 13:52
ReporterrobiAssigned Topschuele 
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionreopened 
Product VersionJoey (2012.10.4) 
Target VersionElena (2015.07.1)Fixed in VersionElena (2015.07.1) 
Summary0007954: Attachments in synced emails can't be downloaded
DescriptionOn my Android 4.0.4 phone, ActiveSync works fine, except one thing: can't download the attachment of the e-mails. The device shows correctly that there are attachments to the e-mail, the user can see them in the list. Tapping the attachment selected should start its download, it looks like it starts but nothing is downloaded. Progress bar stays at 0% for about a minute, and then gives up trying.

Same with a native Microsoft Exchange server works fine, on the same device, thus the problem must be in Tine20. Log file attached.

The attachment displays perfectly in Felamimail.
TagsNo tags attached.
mwticket

Activities

robi

robi

2013-02-28 13:24

reporter  

activesync_attachment_not_downloading.log (15,506 bytes)
pschuele

pschuele

2013-02-28 13:57

administrator   ~0010252

could you please test this with Kristina 2013.03.1?
robi

robi

2013-03-01 11:54

reporter  

activesync_attachment_not_downloading_kristina.log (15,506 bytes)
robi

robi

2013-03-01 11:57

reporter   ~0010260

Tested, exactly the same behaviour with Kristina 2013.03.1, attached a new logfile.

Even updated the phone to Android 4.1.1, issue still exists with tine20.
lkneschke

lkneschke

2013-03-01 17:18

manager   ~0010266

Last edited: 2013-03-01 17:19

View 2 revisions

Please try to replace

const LONGID_DELIMITER = "\xe2\x87\x94"; # ?

with

const LONGID_DELIMITER = "§";

in ActiveSync/Controller/Abstract.php. After you made the changes send yourself a new email with an attachment and try to download the attachment.

robi

robi

2013-03-01 17:33

reporter   ~0010268

Last edited: 2013-03-01 17:36

View 2 revisions

Replaced as requested.

Now it behaves differently: the Android client immediately shows "Cannot download attachment" error message (earlier it timed out).

See attached log activesync_attachment_not_downloading_kristina_patch1a.log.txt

robi

robi

2013-03-01 17:33

reporter  

activesync_attachment_not_downloading_kristina_patch1.log.txt (15,232 bytes)
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
e4273 -- none -- - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
e4273 -- none -- - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
e4273 robi - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => ItemOperations
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 0
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => application/vnd.ms-sync.wbxml
)

e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Syncroton_Server::_handlePost::126 xml request:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:AirSyncBase="uri:AirSyncBase">
  <Fetch>
    <Store>Mailbox</Store>
    <FileReference xmlns="uri:AirSyncBase">9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</FileReference>
  </Fetch>
</ItemOperations>

e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 10:52:57
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Syncroton_Command_ItemOperations::handle::64 fetches: Array
(
    [0] => Array
        (
            [store] => Mailbox
            [options] => Array
                (
                )

            [fileReference] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
        )

)

e4273 robi - 2013-03-01T10:52:57+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
e4273 robi - 2013-03-01T10:52:57+00:00 NOTICE (5): Tinebase_Core::errorHandler::450 Undefined offset: 1 in /var/www/tine/ActiveSync/Controller/Email.php::247 (8)
e4273 robi - 2013-03-01T10:52:57+00:00 NOTICE (5): Tinebase_Core::errorHandler::451 #0 /var/www/tine/ActiveSync/Controller/Email.php(247): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/var/www/tine/A...', 247, Array)
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Command/ItemOperations.php(118): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#2 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_ItemOperations->getResponse()
#3 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#4 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#5 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#6 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#7 {main}
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Syncroton_Server::_handlePost::173 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search">
  <Status>1</Status>
  <Response>
    <Fetch>
      <Status>1</Status>
      <AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference>
    </Fetch>
    <Status>3</Status>
  </Response>
</ItemOperations>

e4273 robi - 2013-03-01T10:52:57+00:00 ERR (3): Syncroton_Server::_handlePost::189 Could not encode output: exception 'Syncroton_Wbxml_Exception' with message 'XML error: Invalid character at line 3' in /var/www/tine/library/Syncroton/lib/Syncroton/Wbxml/Encoder.php:164
Stack trace:
#0 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(186): Syncroton_Wbxml_Encoder->encode(Object(DOMDocument))
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#2 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#3 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#4 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#5 {main}
e4273 robi - 2013-03-01T10:52:57+00:00 ERR (3): Syncroton_Server::_handlePost::190 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search"><Status>1</Status><Response><Fetch><Status>1</Status><AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference></Fetch><Status>3</Status></Response></ItemOperations>

e4273 robi - 2013-03-01T10:52:57+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
e4273 robi - 2013-03-01T10:52:57+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
e4273 robi - 2013-03-01T10:52:57+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 0.3727240562439 seconds / MEMORY: 2.25 MBytes / REALPATHCACHESIZE: 15115
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
05d3e -- none -- - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
05d3e -- none -- - 2013-03-01T10:52:58+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
05d3e robi - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
05d3e robi - 2013-03-01T10:52:58+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
05d3e robi - 2013-03-01T10:52:59+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => GetAttachment
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => 
)

05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 10:52:59
05d3e robi - 2013-03-01T10:52:59+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Addressbook
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 1 configs.
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Tinebase_CustomField::_getCustomFields::564 Fetched 0 customfield values.
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Felamimail_Backend_ImapFactory::factory::42 Connecting to server 127.0.0.1:143 (none) with username robi@zsurob.hu
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Felamimail_Backend_Imap::connectAndLogin::103 CONNECT TIME: 0.00014495849609375 seconds
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Felamimail_Backend_Imap::connectAndLogin::104 LOGIN TIME: 0.041460037231445 seconds
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Felamimail_Controller_Account::updateCapabilities::519 Getting capabilities of account robi@zsurob.hu
05d3e robi - 2013-03-01T10:52:59+00:00 INFO (6): Felamimail_Controller_Account::updateCapabilities::532 Updating capabilities for account: robi@zsurob.hu
05d3e robi - 2013-03-01T10:52:59+00:00 DEBUG (7): Felamimail_Controller_Message::_getPartContent::472 Fetch message part 2 of messageuid 4146
05d3e robi - 2013-03-01T10:53:11+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
05d3e robi - 2013-03-01T10:53:11+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
05d3e robi - 2013-03-01T10:53:12+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 13.228257894516 seconds / MEMORY: 4.25 MBytes / REALPATHCACHESIZE: 16354
robi

robi

2013-03-01 17:35

reporter  

activesync_attachment_not_downloading_kristina_patch1a.log.txt (16,457 bytes)
c778e -- none -- - 2013-03-01T16:34:17+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => ItemOperations
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 0
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => application/vnd.ms-sync.wbxml
)

c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::_handlePost::126 xml request:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:AirSyncBase="uri:AirSyncBase">
  <Fetch>
    <Store>Mailbox</Store>
    <FileReference xmlns="uri:AirSyncBase">9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</FileReference>
  </Fetch>
</ItemOperations>

c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 16:34:18
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Command_ItemOperations::handle::64 fetches: Array
(
    [0] => Array
        (
            [store] => Mailbox
            [options] => Array
                (
                )

            [fileReference] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
        )

)

c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
c778e robi - 2013-03-01T16:34:18+00:00 NOTICE (5): Tinebase_Core::errorHandler::450 Undefined offset: 1 in /var/www/tine/ActiveSync/Controller/Email.php::247 (8)
c778e robi - 2013-03-01T16:34:18+00:00 NOTICE (5): Tinebase_Core::errorHandler::451 #0 /var/www/tine/ActiveSync/Controller/Email.php(247): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/var/www/tine/A...', 247, Array)
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Command/ItemOperations.php(118): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#2 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_ItemOperations->getResponse()
#3 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#4 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#5 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#6 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#7 {main}
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::_handlePost::173 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search">
  <Status>1</Status>
  <Response>
    <Fetch>
      <Status>1</Status>
      <AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference>
    </Fetch>
    <Status>3</Status>
  </Response>
</ItemOperations>

c778e robi - 2013-03-01T16:34:18+00:00 ERR (3): Syncroton_Server::_handlePost::189 Could not encode output: exception 'Syncroton_Wbxml_Exception' with message 'XML error: Invalid character at line 3' in /var/www/tine/library/Syncroton/lib/Syncroton/Wbxml/Encoder.php:164
Stack trace:
#0 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(186): Syncroton_Wbxml_Encoder->encode(Object(DOMDocument))
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#2 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#3 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#4 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#5 {main}
c778e robi - 2013-03-01T16:34:18+00:00 ERR (3): Syncroton_Server::_handlePost::190 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search"><Status>1</Status><Response><Fetch><Status>1</Status><AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference></Fetch><Status>3</Status></Response></ItemOperations>

c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 0.72151923179626 seconds / MEMORY: 2.25 MBytes / REALPATHCACHESIZE: 16336
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => GetAttachment
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => 
)

9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 16:34:19
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
9f08e robi - 2013-03-01T16:34:19+00:00 NOTICE (5): Tinebase_Core::errorHandler::450 Undefined offset: 1 in /var/www/tine/ActiveSync/Controller/Email.php::247 (8)
9f08e robi - 2013-03-01T16:34:19+00:00 NOTICE (5): Tinebase_Core::errorHandler::451 #0 /var/www/tine/ActiveSync/Controller/Email.php(247): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/var/www/tine/A...', 247, Array)
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Command/GetAttachment.php(47): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#2 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_GetAttachment->getResponse()
#3 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#4 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#5 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#6 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#7 {main}
9f08e robi - 2013-03-01T16:34:19+00:00 CRIT (2): Syncroton_Server::_handlePost::159 unexpected exception occured: Tinebase_Exception_NotFound
9f08e robi - 2013-03-01T16:34:19+00:00 CRIT (2): Syncroton_Server::_handlePost::161 exception message: Felamimail_Model_Message record with id = 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2 not found!
9f08e robi - 2013-03-01T16:34:19+00:00 CRIT (2): Syncroton_Server::_handlePost::163 #0 /var/www/tine/Tinebase/Backend/Sql/Abstract.php(213): Tinebase_Backend_Sql_Abstract->getByProperty('9944a2a0f5c8aff...', 'id', false)
#1 /var/www/tine/Tinebase/Controller/Record/Abstract.php(318): Tinebase_Backend_Sql_Abstract->get('9944a2a0f5c8aff...')
#2 /var/www/tine/Felamimail/Controller/Message.php(417): Tinebase_Controller_Record_Abstract->get('9944a2a0f5c8aff...')
#3 /var/www/tine/ActiveSync/Controller/Email.php(249): Felamimail_Controller_Message->getMessagePart('9944a2a0f5c8aff...', NULL)
#4 /var/www/tine/library/Syncroton/lib/Syncroton/Command/GetAttachment.php(47): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#5 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_GetAttachment->getResponse()
#6 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#7 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#8 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#9 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#10 {main}
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 0.74381685256958 seconds / MEMORY: 2 MBytes / REALPATHCACHESIZE: 16326
lkneschke

lkneschke

2013-03-01 17:41

manager   ~0010270

Let's try something different.

Please change the LONGID_DELIMITER to '#'.

const LONGID_DELIMITER = "#";

After that change you should see the # in the logfile. Search for attachmentName.

[attachmentName] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3#2

Be aware that this change only works for emails send to the phone after you made the change.

Somehow the LONGID_DELIMITER changes on it's way to the phone and back to Tine 2.0 again.
robi

robi

2013-03-01 18:03

reporter   ~0010272

Last edited: 2013-03-01 18:04

View 2 revisions

Done.

Sttill not OK :(

robi

robi

2013-03-01 18:05

reporter  

activesync_attachment_not_downloading_kristina_patch2.log.txt (16,457 bytes)
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
21f3f -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
21f3f -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
21f3f robi - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => ItemOperations
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 0
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => application/vnd.ms-sync.wbxml
)

21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Syncroton_Server::_handlePost::126 xml request:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:AirSyncBase="uri:AirSyncBase">
  <Fetch>
    <Store>Mailbox</Store>
    <FileReference xmlns="uri:AirSyncBase">9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</FileReference>
  </Fetch>
</ItemOperations>

21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 16:57:38
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Syncroton_Command_ItemOperations::handle::64 fetches: Array
(
    [0] => Array
        (
            [store] => Mailbox
            [options] => Array
                (
                )

            [fileReference] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
        )

)

21f3f robi - 2013-03-01T16:57:38+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
21f3f robi - 2013-03-01T16:57:38+00:00 NOTICE (5): Tinebase_Core::errorHandler::450 Undefined offset: 1 in /var/www/tine/ActiveSync/Controller/Email.php::247 (8)
21f3f robi - 2013-03-01T16:57:38+00:00 NOTICE (5): Tinebase_Core::errorHandler::451 #0 /var/www/tine/ActiveSync/Controller/Email.php(247): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/var/www/tine/A...', 247, Array)
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Command/ItemOperations.php(118): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#2 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_ItemOperations->getResponse()
#3 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#4 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#5 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#6 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#7 {main}
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Syncroton_Server::_handlePost::173 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search">
  <Status>1</Status>
  <Response>
    <Fetch>
      <Status>1</Status>
      <AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference>
    </Fetch>
    <Status>3</Status>
  </Response>
</ItemOperations>

21f3f robi - 2013-03-01T16:57:38+00:00 ERR (3): Syncroton_Server::_handlePost::189 Could not encode output: exception 'Syncroton_Wbxml_Exception' with message 'XML error: Invalid character at line 3' in /var/www/tine/library/Syncroton/lib/Syncroton/Wbxml/Encoder.php:164
Stack trace:
#0 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(186): Syncroton_Wbxml_Encoder->encode(Object(DOMDocument))
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#2 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#3 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#4 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#5 {main}
21f3f robi - 2013-03-01T16:57:38+00:00 ERR (3): Syncroton_Server::_handlePost::190 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search"><Status>1</Status><Response><Fetch><Status>1</Status><AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference></Fetch><Status>3</Status></Response></ItemOperations>

21f3f robi - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
21f3f robi - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
21f3f robi - 2013-03-01T16:57:38+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 0.38853192329407 seconds / MEMORY: 2.25 MBytes / REALPATHCACHESIZE: 16378
031fd -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
031fd -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
031fd -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
031fd -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
031fd -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
031fd -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
031fd -- none -- - 2013-03-01T16:57:38+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
031fd -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
031fd -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
031fd -- none -- - 2013-03-01T16:57:38+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
031fd -- none -- - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
031fd -- none -- - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
031fd -- none -- - 2013-03-01T16:57:39+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
031fd -- none -- - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
031fd -- none -- - 2013-03-01T16:57:39+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
031fd -- none -- - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
031fd -- none -- - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
031fd -- none -- - 2013-03-01T16:57:39+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
031fd -- none -- - 2013-03-01T16:57:39+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
031fd -- none -- - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
031fd -- none -- - 2013-03-01T16:57:39+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
031fd robi - 2013-03-01T16:57:39+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => GetAttachment
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => 
)

031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 16:57:39
031fd robi - 2013-03-01T16:57:39+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
031fd robi - 2013-03-01T16:57:39+00:00 NOTICE (5): Tinebase_Core::errorHandler::450 Undefined offset: 1 in /var/www/tine/ActiveSync/Controller/Email.php::247 (8)
031fd robi - 2013-03-01T16:57:39+00:00 NOTICE (5): Tinebase_Core::errorHandler::451 #0 /var/www/tine/ActiveSync/Controller/Email.php(247): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/var/www/tine/A...', 247, Array)
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Command/GetAttachment.php(47): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#2 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_GetAttachment->getResponse()
#3 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#4 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#5 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#6 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#7 {main}
031fd robi - 2013-03-01T16:57:39+00:00 CRIT (2): Syncroton_Server::_handlePost::159 unexpected exception occured: Tinebase_Exception_NotFound
031fd robi - 2013-03-01T16:57:39+00:00 CRIT (2): Syncroton_Server::_handlePost::161 exception message: Felamimail_Model_Message record with id = 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2 not found!
031fd robi - 2013-03-01T16:57:39+00:00 CRIT (2): Syncroton_Server::_handlePost::163 #0 /var/www/tine/Tinebase/Backend/Sql/Abstract.php(213): Tinebase_Backend_Sql_Abstract->getByProperty('9944a2a0f5c8aff...', 'id', false)
#1 /var/www/tine/Tinebase/Controller/Record/Abstract.php(318): Tinebase_Backend_Sql_Abstract->get('9944a2a0f5c8aff...')
#2 /var/www/tine/Felamimail/Controller/Message.php(417): Tinebase_Controller_Record_Abstract->get('9944a2a0f5c8aff...')
#3 /var/www/tine/ActiveSync/Controller/Email.php(249): Felamimail_Controller_Message->getMessagePart('9944a2a0f5c8aff...', NULL)
#4 /var/www/tine/library/Syncroton/lib/Syncroton/Command/GetAttachment.php(47): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#5 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_GetAttachment->getResponse()
#6 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#7 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#8 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#9 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#10 {main}
031fd robi - 2013-03-01T16:57:39+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
031fd robi - 2013-03-01T16:57:39+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
031fd robi - 2013-03-01T16:57:39+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 0.39633107185364 seconds / MEMORY: 2 MBytes / REALPATHCACHESIZE: 16382
lkneschke

lkneschke

2013-03-01 18:13

manager   ~0010274

Maybe we send the wrong data to the phone. Please left the LONGID_DELIMITER set to #.

But please capture more data from the logfile. There must be a Sync command before the Fetch command. Please capture the part where the email is send to the phone (Sync command) and where the phone tries to download the attachment(Fetch or GetAttachment command).

This way we can see, if we send the phone a broken id already.
robi

robi

2013-03-01 19:08

reporter   ~0010276

Strange!

Now a new e-mail with attachment worked fine! The old ones don't.

With const LONGID_DELIMITER = "#";, here's the log attached.

But still can't download attachment of the old ones.
robi

robi

2013-03-01 19:08

reporter  

activesync_attachment_not_downloading_kristina_patch3.log.txt (16,457 bytes)
c778e -- none -- - 2013-03-01T16:34:17+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
c778e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
c778e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => ItemOperations
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 0
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => application/vnd.ms-sync.wbxml
)

c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::_handlePost::126 xml request:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:AirSyncBase="uri:AirSyncBase">
  <Fetch>
    <Store>Mailbox</Store>
    <FileReference xmlns="uri:AirSyncBase">9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</FileReference>
  </Fetch>
</ItemOperations>

c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 16:34:18
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Command_ItemOperations::handle::64 fetches: Array
(
    [0] => Array
        (
            [store] => Mailbox
            [options] => Array
                (
                )

            [fileReference] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
        )

)

c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2
c778e robi - 2013-03-01T16:34:18+00:00 NOTICE (5): Tinebase_Core::errorHandler::450 Undefined offset: 1 in /var/www/tine/ActiveSync/Controller/Email.php::247 (8)
c778e robi - 2013-03-01T16:34:18+00:00 NOTICE (5): Tinebase_Core::errorHandler::451 #0 /var/www/tine/ActiveSync/Controller/Email.php(247): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/var/www/tine/A...', 247, Array)
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Command/ItemOperations.php(118): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#2 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_ItemOperations->getResponse()
#3 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#4 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#5 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#6 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#7 {main}
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Syncroton_Server::_handlePost::173 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search">
  <Status>1</Status>
  <Response>
    <Fetch>
      <Status>1</Status>
      <AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference>
    </Fetch>
    <Status>3</Status>
  </Response>
</ItemOperations>

c778e robi - 2013-03-01T16:34:18+00:00 ERR (3): Syncroton_Server::_handlePost::189 Could not encode output: exception 'Syncroton_Wbxml_Exception' with message 'XML error: Invalid character at line 3' in /var/www/tine/library/Syncroton/lib/Syncroton/Wbxml/Encoder.php:164
Stack trace:
#0 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(186): Syncroton_Wbxml_Encoder->encode(Object(DOMDocument))
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#2 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#3 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#4 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#5 {main}
c778e robi - 2013-03-01T16:34:18+00:00 ERR (3): Syncroton_Server::_handlePost::190 xml response:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search"><Status>1</Status><Response><Fetch><Status>1</Status><AirSyncBase:FileReference>9944a2a0f5c8affd46702db9f10f49530d9fdca3Ô2</AirSyncBase:FileReference></Fetch><Status>3</Status></Response></ItemOperations>

c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
c778e robi - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
c778e robi - 2013-03-01T16:34:18+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 0.72151923179626 seconds / MEMORY: 2.25 MBytes / REALPATHCACHESIZE: 16336
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app Tinebase
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 18 configs.
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupLogger::554 Logger initialized
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): ActiveSync_Server_Http::handle::62 is ActiveSync request.
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setupCache::624 cache of backend type 'Memcached' enabled
9f08e -- none -- - 2013-03-01T16:34:18+00:00 INFO (6): Tinebase_Core::setSessionBackend::851 Session of backend type 'File' configured.
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::98 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
9f08e -- none -- - 2013-03-01T16:34:18+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1049 Setting CTYPE locale from "C" to "en_US.UTF8".
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Core::setExecutionLifeTime::1114 setting execution life time to: 0
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Auth::setBackend::258 authentication backend: Sql
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Auth::authenticate::192 Trying to authenticate robi
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Auth::authenticate::205 Authentication of robi succeeded
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_User::setBackendType::234 Setting backend type to Sql
9f08e -- none -- - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_User::getInstance::137 accounts backend: Sql
9f08e -- none -- - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_User::factory::195 Created user backend of type Sql
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::998 given localeString 'auto'
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::204 given localeString 'auto'
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::216 'en' is not supported, checking fallback
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Translation::getLocale::242 selected locale: 'en'
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Core::setupUserLocale::1037 Setting user locale: en
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Group::getInstance::71 groups backend: Sql
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::436 Create new Tinebase_Model_AccessLog
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::306 Loading all configs for app ActiveSync
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::313 Found 0 configs.
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Syncroton_Server::handle::61 REQUEST METHOD: POST
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Syncroton_Server::_handlePost::103 REQUEST Array
(
    [protocolVersion] => 14.0
    [command] => GetAttachment
    [deviceId] => HTCd4147d23c43ca2125ca527aca5f47
    [deviceType] => ville
    [policyKey] => 
    [saveInSent] => 
    [collectionId] => 
    [itemId] => 
    [attachmentName] => 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
    [acceptMultipart] => 
    [userAgent] => Android-EAS/5.5.2221181968.478516.459130
    [contentType] => 
)

9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2013-03-01 16:34:19
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): ActiveSync_Controller_Email::getFileReference::245 fileReference 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2
9f08e robi - 2013-03-01T16:34:19+00:00 NOTICE (5): Tinebase_Core::errorHandler::450 Undefined offset: 1 in /var/www/tine/ActiveSync/Controller/Email.php::247 (8)
9f08e robi - 2013-03-01T16:34:19+00:00 NOTICE (5): Tinebase_Core::errorHandler::451 #0 /var/www/tine/ActiveSync/Controller/Email.php(247): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/var/www/tine/A...', 247, Array)
#1 /var/www/tine/library/Syncroton/lib/Syncroton/Command/GetAttachment.php(47): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#2 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_GetAttachment->getResponse()
#3 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#4 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#5 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#6 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#7 {main}
9f08e robi - 2013-03-01T16:34:19+00:00 CRIT (2): Syncroton_Server::_handlePost::159 unexpected exception occured: Tinebase_Exception_NotFound
9f08e robi - 2013-03-01T16:34:19+00:00 CRIT (2): Syncroton_Server::_handlePost::161 exception message: Felamimail_Model_Message record with id = 9944a2a0f5c8affd46702db9f10f49530d9fdca3⇔2 not found!
9f08e robi - 2013-03-01T16:34:19+00:00 CRIT (2): Syncroton_Server::_handlePost::163 #0 /var/www/tine/Tinebase/Backend/Sql/Abstract.php(213): Tinebase_Backend_Sql_Abstract->getByProperty('9944a2a0f5c8aff...', 'id', false)
#1 /var/www/tine/Tinebase/Controller/Record/Abstract.php(318): Tinebase_Backend_Sql_Abstract->get('9944a2a0f5c8aff...')
#2 /var/www/tine/Felamimail/Controller/Message.php(417): Tinebase_Controller_Record_Abstract->get('9944a2a0f5c8aff...')
#3 /var/www/tine/ActiveSync/Controller/Email.php(249): Felamimail_Controller_Message->getMessagePart('9944a2a0f5c8aff...', NULL)
#4 /var/www/tine/library/Syncroton/lib/Syncroton/Command/GetAttachment.php(47): ActiveSync_Controller_Email->getFileReference('9944a2a0f5c8aff...')
#5 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(142): Syncroton_Command_GetAttachment->getResponse()
#6 /var/www/tine/library/Syncroton/lib/Syncroton/Server.php(69): Syncroton_Server->_handlePost()
#7 /var/www/tine/ActiveSync/Server/Http.php(126): Syncroton_Server->handle()
#8 /var/www/tine/Tinebase/Core.php(229): ActiveSync_Server_Http->handle()
#9 /var/www/tine/index.php(17): Tinebase_Core::dispatchRequest()
#10 {main}
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): Tinebase_Controller_Record_Abstract::update::634 Update Tinebase_Model_AccessLog
9f08e robi - 2013-03-01T16:34:19+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::_updateACLCheck::696 Doing ACL check ...
9f08e robi - 2013-03-01T16:34:19+00:00 INFO (6): index.php (36) METHOD: ActiveSync_Server_Http::POST / TIME: 0.74381685256958 seconds / MEMORY: 2 MBytes / REALPATHCACHESIZE: 16326
lkneschke

lkneschke

2013-03-02 10:30

manager   ~0010278

The change will work for new emails only.

 Try to delete the account on your phone and add it again. This will force a resync of all data. After that you will be able to download all attachments.

Can you please try if

const LONGID_DELIMITER = "§";

is working too?
robi

robi

2013-03-02 13:21

reporter   ~0010280

Tested: sent two new e-mails with attachments from a different account, and with "#" it works, with "§" it does not work.
robi

robi

2013-03-02 13:29

reporter   ~0010282

Thanks for the tip about removing and re-adding the Exchange account on the phone. That allowed me to download old attachments aswell.

LONGID_DELIMITER = "#"; seems to be the solution.
lkneschke

lkneschke

2013-03-10 14:09

manager   ~0010328

I tried to reproduce this problem with other phones, but I can't.

Which phone do you use?
And can you please tell me something about your system Tine 2.0 is running on? Something like OS, PHP version, Apache and so on.
robi

robi

2013-03-14 13:46

reporter   ~0010370

Unfortunately I noticed that the attachment fix broke something else: messages' read status doesn't update on the phone anymore. (if I read a message in the e-mail client on a PC, it doesn't change status to read on the phone).

:(

I'm using an HTC One S, with stock Android v. 4.1.1.

Tine runs on a dedicated virtual machine running Ubuntu 10.04.4 LTS, Apache/2.2.14, PHP Version 5.4.12-1~lucid+1. Please find attached my phpinfo() (sensitive data removed).
robi

robi

2013-03-14 13:46

reporter  

phpinfo.htm (61,184 bytes)
robi

robi

2013-03-15 10:21

reporter   ~0010384

Last edited: 2013-03-15 10:22

View 2 revisions

Reverted to the original setting in Tine.

Unfortunately the Attachments can't be downloaded issue reproduces on an HTC Desire S too, with Android 4.0.4. :-(

lkneschke

lkneschke

2013-03-20 15:24

manager   ~0010420

I'm unable to reproduce this problem on any of our test servers and test devices.

But I just discovered that your system is running PHP 5.4. Maybe that's the problem.

I'll check that.

In the meantime, can you post a full log, where I can see how the e-mail got synchronized to the phone and see also the request where the phone tries to download the attachment.
robi

robi

2013-04-02 15:28

reporter  

tine20.zip (308,459 bytes)
robi

robi

2013-04-02 15:31

reporter   ~0010472

Log attached. It contains info following these steps:
- deleted activesync profile from the phone
- enabled logging
- added activesync profile to the phone
- synced with default settings (3 days earlier, etc)
- extended e-mail sync period to 14 days + added imap subfolders
- synced again
- trying to open unsuccessfully a couple of attachments from different e-mails
- disabled logging
robi

robi

2013-04-02 15:39

reporter   ~0010474

Might happened during the logging procedure that a desktop carddav/caldav client tried to synk too, I hope that won't cause problems for debugging.
robi

robi

2013-06-25 13:47

reporter   ~0011472

Guys this is still a problem in Kristina (2013.03.5) too.

I originally thought that it may be a problem with my setup, but it's not - I installed a brand new Ubuntu Server especially for this, deleted the ActiveSync account from all the phones and re-added - issue still there.
robi

robi

2013-06-25 17:53

reporter  

tine20_activesync_attachment_problem.zip (306,683 bytes)
robi

robi

2013-06-25 17:53

reporter   ~0011486

Please find attached a new debug log.

I request developer who takes care of this, to remove attachments when he/she gets it, because they may contain sensitive data. Thanks.
robi

robi

2013-06-25 17:54

reporter   ~0011488

ISSUE STILL UNRESOLVED
robi

robi

2013-06-25 18:01

reporter  

phpinfo_newsrv.htm (61,877 bytes)
pschuele

pschuele

2013-07-02 11:30

administrator   ~0011528

we'll have a look soon. thanks for the logfiles and for testing + reporting.
robi

robi

2013-08-22 15:40

reporter   ~0011974

Still in v.2013.03.7
robi

robi

2013-11-15 13:04

reporter   ~0012780

Still issue in 2013.10.1
robi

robi

2014-05-11 11:41

reporter   ~0013848

Since the reported problem wasn't fixed for almost a year, and this is also trivially important in our setup, we fixed it by migrating from Tine to Kolab. Sorry.
pschuele

pschuele

2014-05-15 11:06

administrator   ~0013860

moving this to known bugs. software updates of devices should fix this :)
robi

robi

2014-05-15 12:16

reporter   ~0013870

Sorry but this is not a device problem. We've tested various devices with Android versions between 4.0.4 and 4.4 (ICS, JB and KK), all experience the same issue with Tine20. With Kolab and MS Exchange servers the same devices are able to handle attachments without problems.
pschuele

pschuele

2014-05-15 13:26

administrator   ~0013872

ah, sorry, i meant "software update of your server".

did you update your server in the meantime? maybe this is only a problem in the old version of ubuntu that you are running. we could not reproduce this on our servers.
robi

robi

2014-05-15 13:37

reporter   ~0013874

Yes we're using Ubuntu 12.04 kept up to date with the latest supported LTS kernel (3.11.0-20) and packages.
emersonfaria

emersonfaria

2015-06-19 20:17

developer   ~0016110

Last edited: 2015-06-19 20:20

View 2 revisions

Samsung Galaxy S5 was not downloading attachments.

I found some discussions in the Horde and Zarafa communities that addressed this behavior. It seems that is a problem related to 14.1 version of the protocol.
https://jira.zarafa.com/browse/ZP-469
https://jira.zarafa.com/browse/ZP-263

I obtained the algorithm from the Horde community.
https://github.com/horde/horde/blob/master/framework/ActiveSync/lib/Horde/ActiveSync/Request/ItemOperations.php

Try this:

https://gerrit.tine20.org/syncroton/#/c/277/

pschuele

pschuele

2015-06-21 22:07

administrator   ~0016120

thanks, Emerson.

I'll ask Lars if he could review the change.
gongoscho

gongoscho

2015-06-22 21:11

reporter   ~0016146

Last edited: 2015-06-22 22:38

View 6 revisions

I have the same issue with my HTC Desire HD with Android 4.0.4, HTC Sense 4.1 & Android 5.1.1, CyanogenMod 12.1 Nightlie (same device). With the same Tine Account on iPhone 6 or Android 2.3.5 the download of the attachments work!

Is there any fix that i can test?

pschuele

pschuele

2015-06-24 10:06

administrator   ~0016154

i attached a fixed vendor/syncroton/syncroton/lib/Syncroton/Command/ItemOperations.php

please test ... :)
pschuele

pschuele

2015-06-24 10:06

administrator  

ItemOperations.php (12,032 bytes)
lkneschke

lkneschke

2015-06-25 16:29

manager   ~0016176

I updated the change in Gerrit.

@emersonfaria: Please review.
gongoscho

gongoscho

2015-06-30 11:05

reporter   ~0016186

Last edited: 2015-06-30 11:05

View 2 revisions

@pschuele I replaced the ItemOperations.php with my, but not working wit Android 4.0.4. Same es before. I have Tine 2.0, 2014.09.10

pschuele

pschuele

2015-07-01 10:14

administrator   ~0016192

@robi: could you please test again with the upcoming release?
@gongoscho: please test with the new release, too. but maybe there is still a problem with Android 4.0.4 that is not solved yet. you could open a new issue for that.
gongoscho

gongoscho

2015-07-08 13:15

reporter   ~0016226

Same es before now with new release 2015.07.1 and new clean installation
gongoscho

gongoscho

2015-10-13 11:19

reporter   ~0016874

I found errors in the tine log (level: debug). I changed the host, path in the log:

a624b name@domain.tld - 2015-10-12T21:41:28+00:00 NOTICE (5): Tinebase_Core::errorHandler::530 Undefined offset: 1 in /www/htdocs/v12345/www/domain/test/tine/Felamimail/Frontend/ActiveSync.php::253 (8)
a624b name@domain.tld - 2015-10-12T21:41:28+00:00 NOTICE (5): Tinebase_Core::errorHandler::531 #0 /www/htdocs/v12345/www/domain/test/tine/Felamimail/Frontend/ActiveSync.php(253): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/www/htdocs/v14...', 253, Array)

a624b name@domain.tld - 2015-10-12T21:41:28+00:00 ERR (3): Syncroton_Server::_handlePost::190 Could not encode output: exception 'Syncroton_Wbxml_Exception' with message 'XML error: Invalid character at line 3' in /www/htdocs/v12345/www/domain/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Wbxml/Encoder.php:174

96f04 name@domain.tld - 2015-10-12T21:41:29+00:00 DEBUG (7): Felamimail_Backend_ImapFactory::factory::42 Connecting to server v12345.kasserver.com:143 (TLS) with username name@domain.tld
96f04 name@domain.tld - 2015-10-12T21:41:29+00:00 DEBUG (7): Felamimail_Backend_Imap::connectAndLogin::127 CONNECT TIME: 0.00483298301697 seconds
96f04 name@domain.tld - 2015-10-12T21:41:29+00:00 DEBUG (7): Felamimail_Backend_Imap::connectAndLogin::128 LOGIN TIME: 0.00261187553406 seconds




My System:
2015.07.4 + BUG 0011338 (Application.php & Abstract.php)
MySQL 5.6.24
PHP 5.5.26
Host: all-inkl
pschuele

pschuele

2015-10-15 15:40

administrator  

ActiveSync.php (43,991 bytes)
pschuele

pschuele

2015-10-15 15:42

administrator   ~0016884

@gongoscho: i uploaded a patched version of Felamimail/Frontend/ActiveSync.php that should fix your problem with the undefined index. but i'm not sure if this fixes the attachment problem in general.

could you have another look into the logfile? the line before the error (with "fileReference") is missing from your log snippet. it would be good to know how this string looks like...
gongoscho

gongoscho

2015-10-16 15:02

reporter  

tine_2.0_v2015.07.4_with_BUG 0011338_and_with_patched_activesync_BUG0007954.php.log (22,894 bytes)
gongoscho

gongoscho

2015-10-16 15:05

reporter   ~0016902

I uploaded the log (with patched activesync.php), when i klick on my htc to download a attachment. it is the full log. i chagend the ip, host, domain, mail and path.
pschuele

pschuele

2015-10-22 10:35

administrator   ~0016940

ok, thanks. I'll check that in the next days.
gongoscho

gongoscho

2016-03-28 15:27

reporter   ~0017662

Same with Egon v2016.03.1
mspahn

mspahn

2016-06-06 15:11

administrator   ~0018044

Problem only occurs if moved to subfolder.
gongoscho

gongoscho

2017-07-12 13:40

reporter   ~0020504

Hi,

is there any other idea what we can do to fix it? :-( With Version: 2016.09 i have in log (Loglevel 4) this error:

57e03 mail@domain.at - 2017-07-12T11:35:34+00:00 ERR (3): Syncroton_Server::_handlePost::192 Could not encode output: exception 'Syncroton_Wbxml_Exception' with message 'XML error: Invalid character at line 3' in /www/htdocs/www/domain/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Wbxml/Encoder.php:174
Stack trace:
#0 /www/htdocs/www/domain/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Server.php(189): Syncroton_Wbxml_Encoder->encode(Object(DOMDocument))
#1 /www/htdocs/www/domain/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Server.php(70): Syncroton_Server->_handlePost()
0000002 /www/htdocs/www/domain/test/tine/ActiveSync/Server/Http.php(74): Syncroton_Server->handle()
#3 /www/htdocs/www/domain/test/tine/Tinebase/Core.php(230): ActiveSync_Server_Http->handle(Object(Zend\Http\PhpEnvironment\Request))
0000004 /www/htdocs/www/domain/test/tine/index.php(18): Tinebase_Core::dispatchRequest()
#5 {main}
57e03 mail@domain.at - 2017-07-12T11:35:34+00:00 WARN (4): Syncroton_Server::_handlePost::193 xml response(0):
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search">
<Status>1</Status>
<Response>
<Fetch>
<Status>1</Status>
<AirSyncBase:FileReference>f434c137d01ecafe25d78f99becebb01f79175acÔ4</AirSyncBase:FileReference>
</Fetch>
<Status>3</Status>
</Response>
</ItemOperations>
 



grEEtZ,
gongoscho
gongoscho

gongoscho

2017-07-12 13:52

reporter   ~0020506

Debug Log attached.

Try to download a 2,51 KB jpg

tine_debug.txt (22,553 bytes)
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupLogger::679 Logger initialized.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupCache::718 Cache logging disabled
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupCache::785 cache of backend type 'File' enabled
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): ActiveSync_Server_Http::handle::42 is ActiveSync request.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::createAndConfigureDbAdapter::903 Creating Pdo_Mysql DB adapter (db name: d01fc291)
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app Tinebase
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 10 configs.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1048 given localeString 'auto'
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1075 Try to detect the locale of the user (browser, environment, default)
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::217 given localeString 'auto'
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_getAppDefaultsConfigFileData::425 Looking for defaults config.inc.php at /www/htdocs/test/tine/Tinebase/config.inc.php
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::229 'en' is not supported, checking fallback
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::255 selected locale: 'en'
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupUserLocale::1099 Setting user locale: en
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1106 Setting CTYPE locale from "C" to "en_US.UTF8".
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app ActiveSync
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 0 configs.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_getAppDefaultsConfigFileData::425 Looking for defaults config.inc.php at /www/htdocs/test/tine/ActiveSync/config.inc.php
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Auth::setBackend::281 authentication backend: Imap
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Auth::authenticate::210 Trying to authenticate mail@domain.at
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User::setBackendType::285 Setting backend type to Sql
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User::getInstance::171 accounts backend: Sql
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app Addressbook
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 0 configs.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Addressbook_Controller_Contact::__construct::67 Mappanel/geoext/nominatim disabled with config option.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_EmailUser::getInstance::192 Email user backend: Imap_Standard
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_EmailUser::getInstance::192 Email user backend: Smtp_Standard
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Abstract::registerPlugin::123 Registering Addressbook_Controller_Contact plugin.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Sql::registerPlugin::101 Registering Addressbook_Controller_Contact SQL plugin.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Abstract::registerPlugin::123 Registering Tinebase_EmailUser_Imap_Standard plugin.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Sql::registerPlugin::101 Registering Tinebase_EmailUser_Imap_Standard SQL plugin.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Abstract::registerPlugin::123 Registering Tinebase_EmailUser_Smtp_Standard plugin.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Sql::registerPlugin::101 Registering Tinebase_EmailUser_Smtp_Standard SQL plugin.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User::factory::246 Created user backend of type Tinebase_User_Sql
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Controller::login::96 Login with username mail@domain.at from 127.0.0.1 succeeded.
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::search::225 Got 1 search results
58bc4 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::set::1258 Setting user mail@domain.at
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1048 given localeString 'auto'
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1075 Try to detect the locale of the user (browser, environment, default)
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::217 given localeString 'auto'
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::229 'en' is not supported, checking fallback
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::255 selected locale: 'en'
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupUserLocale::1099 Setting user locale: en
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Preference_Abstract::getValueForUser::287 Get value for timezone of account id 55d2e784faeaca1958fa33a897efb90f4673a389 / user
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Group::getInstance::75 groups backend: Sql
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserTimezone::1148 User timezone: Europe/Vienna
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::102 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::589 Create new Tinebase_Model_AccessLog
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app ActiveSync
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 0 configs.
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Server::handle::62 REQUEST METHOD: POST
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Server::_handlePost::104 REQUEST Array
(
[protocolVersion] => 14.0
[command] => ItemOperations
[deviceId] => HTCxyz
[deviceType] => htcace
[policyKey] => 0
[saveInSent] =>
[collectionId] =>
[itemId] =>
[attachmentName] =>
[acceptMultipart] =>
[userAgent] => Android-EAS/5.0.2218413024.450889.415472
[contentType] => application/vnd.ms-sync.wbxml
)
 
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Server::_handlePost::127 xml request:
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:AirSyncBase="uri:AirSyncBase">
<Fetch>
<Store>Mailbox</Store>
<FileReference xmlns="uri:AirSyncBase">f434c137d01ecafe25d78f99becebb01f79175acÔ4</FileReference>
</Fetch>
</ItemOperations>
 
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2017-07-12 11:46:33
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Command_ItemOperations::handle::64 fetches: Array
(
[0] => Array
(
[store] => Mailbox
[options] => Array
(
)
 
[fileReference] => f434c137d01ecafe25d78f99becebb01f79175acÔ4
)
 
)
 
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): ActiveSync_Frontend_Abstract::__construct::185 Created controller for device type htcace
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 INFO (6): Felamimail_Frontend_ActiveSync::getFileReference::251 fileReference f434c137d01ecafe25d78f99becebb01f79175acÔ4
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 NOTICE (5): Tinebase_Core::errorHandler::576 Undefined offset: 1 in /www/htdocs/test/tine/Felamimail/Frontend/ActiveSync.php::253 (8)
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 NOTICE (5): Tinebase_Core::errorHandler::577 #0 /www/htdocs/test/tine/Felamimail/Frontend/ActiveSync.php(253): Tinebase_Core::errorHandler(8, 'Undefined offse...', '/www/htdocs/...', 253, Array)
#1 /www/htdocs/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Command/ItemOperations.php(118): Felamimail_Frontend_ActiveSync->getFileReference('f434c137d01ecaf...')
#2 /www/htdocs/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Server.php(147): Syncroton_Command_ItemOperations->getResponse()
#3 /www/htdocs/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Server.php(70): Syncroton_Server->_handlePost()
#4 /www/htdocs/test/tine/ActiveSync/Server/Http.php(74): Syncroton_Server->handle()
#5 /www/htdocs/test/tine/Tinebase/Core.php(230): ActiveSync_Server_Http->handle(Object(Zend\Http\PhpEnvironment\Request))
#6 /www/htdocs/test/tine/index.php(18): Tinebase_Core::dispatchRequest()
#7 {main}
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Server::_handlePost::177 xml response(0):
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search">
<Status>1</Status>
<Response>
<Fetch>
<Status>1</Status>
<AirSyncBase:FileReference>f434c137d01ecafe25d78f99becebb01f79175acÔ4</AirSyncBase:FileReference>
</Fetch>
<Status>3</Status>
</Response>
</ItemOperations>
 
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Server::_handlePost::177 xml response(1):
 
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 ERR (3): Syncroton_Server::_handlePost::192 Could not encode output: exception 'Syncroton_Wbxml_Exception' with message 'XML error: Invalid character at line 3' in /www/htdocs/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Wbxml/Encoder.php:174
Stack trace:
#0 /www/htdocs/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Server.php(189): Syncroton_Wbxml_Encoder->encode(Object(DOMDocument))
#1 /www/htdocs/test/tine/vendor/syncroton/syncroton/lib/Syncroton/Server.php(70): Syncroton_Server->_handlePost()
#2 /www/htdocs/test/tine/ActiveSync/Server/Http.php(74): Syncroton_Server->handle()
#3 /www/htdocs/test/tine/Tinebase/Core.php(230): ActiveSync_Server_Http->handle(Object(Zend\Http\PhpEnvironment\Request))
#4 /www/htdocs/test/tine/index.php(18): Tinebase_Core::dispatchRequest()
#5 {main}
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 WARN (4): Syncroton_Server::_handlePost::193 xml response(0):
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE AirSync PUBLIC "-//AIRSYNC//DTD AirSync//EN" "http://www.microsoft.com/">
<ItemOperations xmlns="uri:ItemOperations" xmlns:Syncroton="uri:Syncroton" xmlns:AirSyncBase="uri:AirSyncBase" xmlns:AirSync="uri:AirSync" xmlns:Search="uri:Search">
<Status>1</Status>
<Response>
<Fetch>
<Status>1</Status>
<AirSyncBase:FileReference>f434c137d01ecafe25d78f99becebb01f79175acÔ4</AirSyncBase:FileReference>
</Fetch>
<Status>3</Status>
</Response>
</ItemOperations>
 
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 WARN (4): Syncroton_Server::_handlePost::193 xml response(1):
 
58bc4 mail@domain.at - 2017-07-12T11:46:33+00:00 INFO (6): index.php (25) METHOD: ActiveSync_Server_Http::POST / TIME: 158ms / Memory usage: 16.5 MB / Real patch cache size: 61 / PID: 25822
bd529 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupLogger::679 Logger initialized.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupCache::718 Cache logging disabled
bd529 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupCache::785 cache of backend type 'File' enabled
bd529 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): ActiveSync_Server_Http::handle::42 is ActiveSync request.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::createAndConfigureDbAdapter::903 Creating Pdo_Mysql DB adapter (db name: d01fc291)
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app Tinebase
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 10 configs.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1048 given localeString 'auto'
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1075 Try to detect the locale of the user (browser, environment, default)
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::217 given localeString 'auto'
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_getAppDefaultsConfigFileData::425 Looking for defaults config.inc.php at /www/htdocs/test/tine/Tinebase/config.inc.php
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::229 'en' is not supported, checking fallback
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::255 selected locale: 'en'
bd529 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupUserLocale::1099 Setting user locale: en
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1106 Setting CTYPE locale from "C" to "en_US.UTF8".
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app ActiveSync
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 0 configs.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_getAppDefaultsConfigFileData::425 Looking for defaults config.inc.php at /www/htdocs/test/tine/ActiveSync/config.inc.php
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Auth::setBackend::281 authentication backend: Imap
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Auth::authenticate::210 Trying to authenticate mail@domain.at
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User::setBackendType::285 Setting backend type to Sql
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User::getInstance::171 accounts backend: Sql
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app Addressbook
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 0 configs.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Addressbook_Controller_Contact::__construct::67 Mappanel/geoext/nominatim disabled with config option.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_EmailUser::getInstance::192 Email user backend: Imap_Standard
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_EmailUser::getInstance::192 Email user backend: Smtp_Standard
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Abstract::registerPlugin::123 Registering Addressbook_Controller_Contact plugin.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Sql::registerPlugin::101 Registering Addressbook_Controller_Contact SQL plugin.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Abstract::registerPlugin::123 Registering Tinebase_EmailUser_Imap_Standard plugin.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Sql::registerPlugin::101 Registering Tinebase_EmailUser_Imap_Standard SQL plugin.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Abstract::registerPlugin::123 Registering Tinebase_EmailUser_Smtp_Standard plugin.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User_Sql::registerPlugin::101 Registering Tinebase_EmailUser_Smtp_Standard SQL plugin.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_User::factory::246 Created user backend of type Tinebase_User_Sql
bd529 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Controller::login::96 Login with username mail@domain.at from 127.0.0.1 succeeded.
bd529 -- none -- - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::search::225 Got 1 search results
bd529 -- none -- - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::set::1258 Setting user mail@domain.at
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1048 given localeString 'auto'
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserLocale::1075 Try to detect the locale of the user (browser, environment, default)
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::217 given localeString 'auto'
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::229 'en' is not supported, checking fallback
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Translation::getLocale::255 selected locale: 'en'
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::setupUserLocale::1099 Setting user locale: en
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Preference_Abstract::getValueForUser::287 Get value for timezone of account id 55d2e784faeaca1958fa33a897efb90f4673a389 / user
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Group::getInstance::75 groups backend: Sql
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Core::setupUserTimezone::1148 User timezone: Europe/Vienna
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Auth_CredentialCache::setCacheAdapter::102 Using credential cache adapter: Tinebase_Auth_CredentialCache_Adapter_Cookie
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Controller_Record_Abstract::create::589 Create new Tinebase_Model_AccessLog
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app ActiveSync
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 0 configs.
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Server::handle::62 REQUEST METHOD: POST
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Server::_handlePost::104 REQUEST Array
(
[protocolVersion] => 14.0
[command] => GetAttachment
[deviceId] => HTCxyz
[deviceType] => htcace
[policyKey] =>
[saveInSent] =>
[collectionId] =>
[itemId] =>
[attachmentName] => f434c137d01ecafe25d78f99becebb01f79175ac⇔4
[acceptMultipart] =>
[userAgent] => Android-EAS/5.0.2218413024.450889.415472
[contentType] =>
)
 
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Syncroton_Command_Wbxml::__construct::163 sync timestamp: 2017-07-12 11:46:33
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): ActiveSync_Frontend_Abstract::__construct::185 Created controller for device type htcace
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 INFO (6): Felamimail_Frontend_ActiveSync::getFileReference::251 fileReference f434c137d01ecafe25d78f99becebb01f79175ac⇔4
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 INFO (6): Tinebase_Core::isFilesystemAvailable::1740 Filesystem available: yes
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_FileSystem_RecordAttachments::getRecordAttachments::65 Fetching attachments of Felamimail_Model_Message record with id f434c137d01ecafe25d78f99becebb01f79175ac ...
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_CustomField::_getCustomFields::585 Fetched 0 customfield values.
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Felamimail_Backend_ImapFactory::factory::42 Connecting to server v147067.kasserver.com:143 (TLS) with username mail@domain.at
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::505 Loading all configs for app Felamimail
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_loadAllAppConfigsInCache::518 Found 1 configs.
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Tinebase_Config_Abstract::_getAppDefaultsConfigFileData::425 Looking for defaults config.inc.php at /www/htdocs/test/tine/Felamimail/config.inc.php
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Felamimail_Backend_Imap::connectAndLogin::127 CONNECT TIME: 0.00627303123474 seconds
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Felamimail_Backend_Imap::connectAndLogin::128 LOGIN TIME: 0.00270795822144 seconds
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Felamimail_Controller_Account::updateCapabilities::534 Getting capabilities of account mail@domain.at
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 INFO (6): Felamimail_Controller_Account::updateCapabilities::547 Updating capabilities for account: mail@domain.at
bd529 mail@domain.at - 2017-07-12T11:46:33+00:00 DEBUG (7): Felamimail_Controller_Message::_getPartContent::513 Fetch message part 4 of messageuid 13411
bd529 mail@domain.at - 2017-07-12T11:46:34+00:00 INFO (6): index.php (25) METHOD: ActiveSync_Server_Http::POST / TIME: 195ms / Memory usage: 18 MB / Real patch cache size: 61 / PID: 16187
tine_debug.txt (22,553 bytes)

Issue History

Date Modified Username Field Change
2013-02-28 13:24 robi New Issue
2013-02-28 13:24 robi File Added: activesync_attachment_not_downloading.log
2013-02-28 13:57 pschuele Note Added: 0010252
2013-02-28 13:57 pschuele Target Version => Kristina (2013.03.2)
2013-02-28 13:57 pschuele Assigned To => pschuele
2013-02-28 13:57 pschuele Status new => feedback
2013-03-01 11:54 robi File Added: activesync_attachment_not_downloading_kristina.log
2013-03-01 11:57 robi Note Added: 0010260
2013-03-01 11:57 robi Status feedback => assigned
2013-03-01 12:45 pschuele Assigned To pschuele => lkneschke
2013-03-01 17:18 lkneschke Note Added: 0010266
2013-03-01 17:19 lkneschke Note Edited: 0010266 View Revisions
2013-03-01 17:33 robi Note Added: 0010268
2013-03-01 17:33 robi File Added: activesync_attachment_not_downloading_kristina_patch1.log.txt
2013-03-01 17:35 robi File Added: activesync_attachment_not_downloading_kristina_patch1a.log.txt
2013-03-01 17:36 robi Note Edited: 0010268 View Revisions
2013-03-01 17:41 lkneschke Note Added: 0010270
2013-03-01 18:03 robi Note Added: 0010272
2013-03-01 18:04 robi Note Edited: 0010272 View Revisions
2013-03-01 18:05 robi File Added: activesync_attachment_not_downloading_kristina_patch2.log.txt
2013-03-01 18:13 lkneschke Note Added: 0010274
2013-03-01 19:08 robi Note Added: 0010276
2013-03-01 19:08 robi File Added: activesync_attachment_not_downloading_kristina_patch3.log.txt
2013-03-02 10:30 lkneschke Note Added: 0010278
2013-03-02 13:21 robi Note Added: 0010280
2013-03-02 13:29 robi Note Added: 0010282
2013-03-10 14:09 lkneschke Note Added: 0010328
2013-03-14 13:46 robi Note Added: 0010370
2013-03-14 13:46 robi File Added: phpinfo.htm
2013-03-15 10:21 robi Note Added: 0010384
2013-03-15 10:22 robi Note Edited: 0010384 View Revisions
2013-03-19 12:46 pschuele Target Version Kristina (2013.03.2) => known bugs
2013-03-20 15:24 lkneschke Note Added: 0010420
2013-04-02 13:04 pschuele Status assigned => feedback
2013-04-02 15:28 robi File Added: tine20.zip
2013-04-02 15:31 robi Note Added: 0010472
2013-04-02 15:31 robi Status feedback => assigned
2013-04-02 15:39 robi Note Added: 0010474
2013-06-25 13:47 robi Note Added: 0011472
2013-06-25 17:53 robi File Added: tine20_activesync_attachment_problem.zip
2013-06-25 17:53 robi Note Added: 0011486
2013-06-25 17:54 robi Note Added: 0011488
2013-06-25 17:54 robi Status assigned => confirmed
2013-06-25 18:01 robi File Added: phpinfo_newsrv.htm
2013-07-02 11:30 pschuele Note Added: 0011528
2013-07-02 11:30 pschuele Priority high => normal
2013-07-02 11:30 pschuele Target Version known bugs =>
2013-08-22 15:40 robi Note Added: 0011974
2013-11-15 13:04 robi Note Added: 0012780
2014-05-11 11:41 robi Note Added: 0013848
2014-05-15 11:06 pschuele Note Added: 0013860
2014-05-15 11:06 pschuele Assigned To lkneschke =>
2014-05-15 11:06 pschuele Severity major => minor
2014-05-15 11:06 pschuele Status confirmed => new
2014-05-15 11:06 pschuele Target Version => known bugs
2014-05-15 12:16 robi Note Added: 0013870
2014-05-15 13:26 pschuele Note Added: 0013872
2014-05-15 13:37 robi Note Added: 0013874
2015-06-19 20:17 emersonfaria Note Added: 0016110
2015-06-19 20:20 emersonfaria Note Edited: 0016110 View Revisions
2015-06-21 22:07 pschuele Note Added: 0016120
2015-06-21 22:08 pschuele Assigned To => lkneschke
2015-06-21 22:08 pschuele Status new => gerrit
2015-06-21 22:08 pschuele Target Version known bugs => Elena (2015.07.1)
2015-06-22 21:11 gongoscho Note Added: 0016146
2015-06-22 21:46 gongoscho Note Edited: 0016146 View Revisions
2015-06-22 21:46 gongoscho Note Edited: 0016146 View Revisions
2015-06-22 21:47 gongoscho Note Edited: 0016146 View Revisions
2015-06-22 21:48 gongoscho Note Edited: 0016146 View Revisions
2015-06-22 22:38 gongoscho Note Edited: 0016146 View Revisions
2015-06-24 10:06 pschuele Note Added: 0016154
2015-06-24 10:06 pschuele File Added: ItemOperations.php
2015-06-25 16:29 lkneschke Note Added: 0016176
2015-06-30 11:05 gongoscho Note Added: 0016186
2015-06-30 11:05 gongoscho Note Edited: 0016186 View Revisions
2015-07-01 10:14 pschuele Note Added: 0016192
2015-07-01 10:14 pschuele Status gerrit => resolved
2015-07-01 10:14 pschuele Fixed in Version => Elena (2015.07.1)
2015-07-01 10:14 pschuele Resolution open => fixed
2015-07-08 13:15 gongoscho Note Added: 0016226
2015-07-08 13:15 gongoscho Status resolved => new
2015-07-08 13:15 gongoscho Resolution fixed => reopened
2015-10-13 11:19 gongoscho Note Added: 0016874
2015-10-15 15:40 pschuele Assigned To lkneschke => pschuele
2015-10-15 15:40 pschuele Status new => assigned
2015-10-15 15:40 pschuele File Added: ActiveSync.php
2015-10-15 15:42 pschuele Note Added: 0016884
2015-10-15 15:42 pschuele Status assigned => feedback
2015-10-16 15:02 gongoscho File Added: tine_2.0_v2015.07.4_with_BUG 0011338_and_with_patched_activesync_BUG0007954.php.log
2015-10-16 15:05 gongoscho Note Added: 0016902
2015-10-22 10:35 pschuele Note Added: 0016940
2015-10-22 10:36 pschuele Status feedback => assigned
2016-03-28 15:27 gongoscho Note Added: 0017662
2016-06-06 15:11 mspahn Note Added: 0018044
2017-07-12 13:40 gongoscho Note Added: 0020504
2017-07-12 13:52 gongoscho File Added: tine_debug.txt
2017-07-12 13:52 gongoscho Note Added: 0020506